Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Nucleus.Trees.DFSTreeEnumerator< T > Class Template Reference

Depth-First Search tree enumerator More...

Inheritance diagram for Mercury.Nucleus.Trees.DFSTreeEnumerator< T >:

## Public Member Functions
| DFSTreeEnumerator (Tree< T > root)
| Creates a new instance of the DFSTreeEnumerator{T} class. More...
void | Dispose ()
bool | MoveNext ()
void | Reset ()

## Properties
T | Current`[get]`
| Gets the element in the collection at the current position of the enumerator. More...

## Detailed Description

Depth-First Search tree enumerator

Template Parameters

  T | Node value type

Definition at line 13 of file TreeEnumerators.cs.

## Constructor & Destructor Documentation

Mercury.Nucleus.Trees.DFSTreeEnumerator< T >.DFSTreeEnumerator | ( | Tree< T > | root | ) |

Creates a new instance of the DFSTreeEnumerator{T} class.

Parameters

  root | The root node

Definition at line 28 of file TreeEnumerators.cs.

## Member Function Documentation

void Mercury.Nucleus.Trees.DFSTreeEnumerator< T >.Dispose | ( |  | ) |

Definition at line 53 of file TreeEnumerators.cs.

bool Mercury.Nucleus.Trees.DFSTreeEnumerator< T >.MoveNext | ( |  | ) |

Definition at line 59 of file TreeEnumerators.cs.

void Mercury.Nucleus.Trees.DFSTreeEnumerator< T >.Reset | ( |  | ) |

Definition at line 74 of file TreeEnumerators.cs.

## Property Documentation

T Mercury.Nucleus.Trees.DFSTreeEnumerator< T >.Current
| get

Gets the element in the collection at the current position of the enumerator.

Returns
  The element in the collection at the current position of the enumerator.

Definition at line 41 of file TreeEnumerators.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Nucleus/Trees/TreeEnumerators.cs